#!/bin/sh

#  This sample program is provided AS IS and may be used, executed, copied and modified
#  without royalty payment by customer
#  (a) for its own instruction and study,
#  (b) in order to develop applications designed to run with an IBM WebSphere product,
#  either for customer's own internal use or for redistribution by customer, as part of such an
#  application, in customer's own products.
#  Licensed Materials - Property of IBM
#  5724-J34 (C) COPYRIGHT International Business Machines Corp. 2009


binDir=`pwd`
SETUP_CMD_LINE=${binDir}/../../../../bin/setupCmdLine.sh
 
# Determine if we are running in a WebSphere Application Server integrated installation
# or a stand-alone installation.
if [ -f ${SETUP_CMD_LINE} ]; then
    cd ${binDir}/../../../../bin
    . ./setupCmdLine.sh
     cd $binDir
     JAVA_HOME=${binDir}/../../../../java
else
# stand alone installation
  WXS_INSTALLATION=WXSA  
fi


# *********************************************************
# *** Change or set JAVA_HOME to match your environment ***
# *********************************************************
if [ -z "$JAVA_HOME" ]
then
    JAVA_HOME="/opt/java"
fi

if [ -f ${JAVA_HOME}/jre/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/bin/java"
fi

if [ ! -f ${JAVA_EXE} ]; then
	echo "Change or set the JAVA_HOME ${JAVA_HOME} environment variable to a valid Java Runtime Environment directory."
	exit
fi



# *********************************************************
# *** The following variables do not need to be changed ***
# *********************************************************

# The path to the sample
SAMPLE_DIR=`dirname ${0}`
cd "${SAMPLE_DIR}"
SAMPLE_HOME=`pwd`

# The path to the ObjectGrid runtime root directory.
if [ -z "$OBJECTGRID_HOME" ]
then
    OBJECTGRID_HOME="$SAMPLE_HOME"/../../
fi

# The path to the endorsed directory where the ORB is located.
OBJECTGRID_ENDORSED_DIRS="-Djava.endorsed.dirs="$OBJECTGRID_HOME"/lib/endorsed"

# The classpath for application client class files.
SAMPLE_CLIENT_CLASSPATH="$SAMPLE_HOME/client/bin:$SAMPLE_HOME/common/bin"

# The classpath for application server class files.
SAMPLE_SERVER_CLASSPATH="$SAMPLE_HOME/server/bin:$SAMPLE_HOME/common/bin"

# The ObjectGrid runtime class path.
if [ ! -z "WXS_INSTALLATION" ]
then
  OG_CLASSPATH="$OBJECTGRID_HOME/properties:$OBJECTGRID_HOME/lib/objectgrid.jar:$OBJECTGRID_HOME/lib/cglib.jar"
  export OG_CLASSPATH
fi  

# The location of the catalog server host in which the client will connect.
CATALOGSERVER_HOST="localhost"

# The bootstrap port of the catalog server in which the client will connect.
# The catalog service will choose 2809 by default which can conflict with WebSphere Application Server
CATALOGSERVER_PORT="2909"

# The JMX Port that the Catalog Service will use for Java Management Extensions
# The catalog service will choose 1099 by default which can conflict with WebSphere Application Server Community Edition
CATALOGSERVER_JMX_PORT="1199"

# The endpoints passed to the catalog server when started.
CATALOG_SERVICE_ENDPOINTS="cs0:localhost:6600:6601"


export JAVA_HOME OBJECTGRID_HOME OBJECTGRID_ENDORSED_DIRS SAMPLE_CLIENT_CLASSPATH  CATALOGSERVER_HOST CATALOGSERVER_PORT CATALOGSERVER_JMX_PORT CATALOG_SERVICE_ENDPOINTS JAVA_EXE

