@REM  This sample program is provided AS IS and may be used, executed, copied and modified
@REM  without royalty payment by customer
@REM  (a) for its own instruction and study,
@REM  (b) in order to develop applications designed to run with an IBM WebSphere product,
@REM  either for customer's own internal use or for redistribution by customer, as part of such an
@REM  application, in customer's own products.
@REM  Licensed Materials - Property of IBM
@REM  5724-J34 (C) COPYRIGHT International Business Machines Corp. 2009

@SETLOCAL
@ECHO OFF

@REM Setup our environment variables.

CALL %~dsp0env.bat

if not exist %JAVA_EXE% (
   ECHO Set the JAVA_HOME environment variable to a valid Java Runtime Environment directory.
   GOTO END
)

if %1. == . goto PRINTUSAGE

SET CONTAINER_NAME=%1

if not defined STANDALONE_XS (
   GOTO WS
)

@REM Start a stand-alone container server process in a stand-alone installation
%JAVA_EXE% "-classpath" "%OG_CLASSPATH%;%SAMPLE_SERVER_CLASSPATH%" "%OBJECTGRID_ENDORSED_DIRS%" "com.ibm.ws.objectgrid.InitializationService" %CONTAINER_NAME% "-catalogServiceEndPoints" "%CATALOGSERVER_HOST%:%CATALOGSERVER_PORT%"  "-objectgridFile" "server\bin\META-INF\objectGrid.xml" "-deploymentPolicyFile" "server\bin\META-INF\objectGridDeployment.xml"

GOTO END

:WS
@REM Start a stand-alone container server process in a WebSphere Application Server integrated installation
%JAVA_EXE% "-classpath" "%JAVA_HOME%\lib\tools.jar;%WAS_CLASSPATH%" %WAS_LOGGING% %CONSOLE_ENCODING% "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%WAS_HOME%\optionalLibraries\mx4j\lib;%SAMPLE_SERVER_CLASSPATH%" "-Dwas.install.root=%WAS_HOME%" "-Duser.install.root=%USER_INSTALL_ROOT%" "-Dobjectgrid.home=%WAS_HOME%" "com.ibm.ws.bootstrap.WSLauncher" "com.ibm.ws.objectgrid.InitializationService" %CONTAINER_NAME% "-catalogServiceEndPoints" "%CATALOGSERVER_HOST%:%CATALOGSERVER_PORT%"  "-objectgridFile" "server\bin\META-INF\objectGrid.xml" "-deploymentPolicyFile" "server\bin\META-INF\objectGridDeployment.xml"

GOTO END
 
:PRINTUSAGE
echo Missing argument.
echo Command line syntax:  runcontainer [Unique Container Name]

:END

@ENDLOCAL
