@REM  This sample program is provided AS IS and may be used, executed, copied and modified
@REM  without royalty payment by customer
@REM  (a) for its own instruction and study,
@REM  (b) in order to develop applications designed to run with an IBM WebSphere product,
@REM  either for customer's own internal use or for redistribution by customer, as part of such an
@REM  application, in customer's own products.
@REM  Licensed Materials - Property of IBM
@REM  5724-J34 (C) COPYRIGHT International Business Machines Corp. 2009

@ECHO OFF

REM The path to the sample
cd /d "%~dsp0"
SET SAMPLE_HOME=%cd%

REM Determine if we are running in a WebSphere Application Server integrated installation
REM or a stand-alone installation.
if exist "%~dp0..\..\..\..\bin\setupCmdLine.bat" ( 
   set OBJECTGRID_HOME=%WAS_HOME%
   call "%~dp0..\..\..\..\bin\setupCmdLine.bat"
   goto end
)
SET STANDALONE_XS=SA

REM *********************************************************
REM *** Change or set JAVA_HOME to match your environment ***
REM *********************************************************
if not defined JAVA_HOME set JAVA_HOME=c:\Java

REM *********************************************************
REM *** The following variables do not need to be changed ***
REM *********************************************************

REM The path to the ObjectGrid runtime root directory.
if not defined OBJECTGRID_HOME SET OBJECTGRID_HOME=%SAMPLE_HOME%\..\..

REM The path to the endorsed directory where the ORB is located.
SET OBJECTGRID_ENDORSED_DIRS="-Djava.endorsed.dirs=%OBJECTGRID_HOME%\lib\endorsed"


REM The ObjectGrid runtime class path.
SET OG_CLASSPATH="%OBJECTGRID_HOME%\properties;%OBJECTGRID_HOME%\lib\objectgrid.jar;%OBJECTGRID_HOME%\lib\cglib.jar"

if not exist %OBJECTGRID_HOME%\lib\ogclient.jar (
   echo Unable to find ObjectGrid libraries.  Set OBJECTGRID_HOME or copy this sample into the ObjectGrid installation directory.
)

:end

if exist "%JAVA_HOME%\jre\bin\java.exe" (
   set JAVA_EXE="%JAVA_HOME%\jre\bin\java.exe"
) else (
   set JAVA_EXE="%JAVA_HOME%\bin\java.exe"
)

REM The classpath for application files
SET SAMPLE_CLIENT_CLASSPATH="%SAMPLE_HOME%\client\bin;%SAMPLE_HOME%\common\bin"

REM The classpath for application server class files.
SET SAMPLE_SERVER_CLASSPATH="%SAMPLE_HOME%\server\bin;%SAMPLE_HOME%\common\bin"

REM The location of the catalog server host in which the client will connect.
SET CATALOGSERVER_HOST=localhost

REM The bootstrap port of the catalog server in which the client will connect.
REM The catalog service will choose 2809 by default which can conflict with WebSphere Application Server
SET CATALOGSERVER_PORT=2909

REM The JMX Port that the Catalog Service will use for Java Management Extensions
REM The catalog service will choose 1099 by default which can conflict with WebSphere Application Server Community Edition
SET CATALOGSERVER_JMX_PORT=1199

REM The endpoints passed to the catalog server when started.
SET CATALOG_SERVICE_ENDPOINTS="cs0:localhost:6600:6601"




