@echo off
setlocal ENABLEDELAYEDEXPANSION
rem (C) COPYRIGHT International Business Machines Corp., 2004-2005. All Rights Reserved * Licensed Materials - Property of IBM
rem
rem Start Collector Application
rem
rem

cd /d "%~dp0"

SET AUTOPD_HOME=%cd%
echo AUTOPD_HOME = %AUTOPD_HOME%
set CISA_HOME=%AUTOPD_HOME%\cisa
set CISA_CP=%CISA_HOME%
for /R "%CISA_HOME%\lib" %%i in (*.jar) do set CISA_CP=!CISA_CP!;%%i

set AUTOPD_LIB=%AUTOPD_HOME%\lib

set RASUtils_LIB=%AUTOPD_HOME%\lib\rasutils

set LV_HOME=%AUTOPD_HOME%\levelreport

set AUTOPD_PROPERTIES=%AUTOPD_HOME%\properties

set AUTOPD_XML_CP=%AUTOPD_LIB%\xercesImpl.jar;%AUTOPD_LIB%\xmlParserAPIs.jar;%AUTOPD_LIB%\resolver.jar

set AUTOPD_ANT_CP=%AUTOPD_LIB%\ant.jar;%AUTOPD_LIB%\ant-launcher.jar;%AUTOPD_LIB%\jakarta-oro-2.0.7.jar

set AUTOPD_LV_CP=%LV_HOME%\lib\invtool.jar;%LV_HOME%\lib\xsdbeans.jar;%LV_HOME%\lib\depcheck.jar;%LV_HOME%\lib\itj157minimal.jar;%LV_HOME%\lib\xalan.jar

SET AUTOPD_CP="%AUTOPD_HOME%;%AUTOPD_LIB%\autopd.jar;%RASUtils_LIB%\RASUtils.jar;%AUTOPD_PROPERTIES%;%AUTOPD_ANT_CP%;%AUTOPD_XML_CP%;%CISA_CP%;%AUTOPD_LIB%\collector.jar;%AUTOPD_LIB%\com.ibm.icu.jar;%AUTOPD_LIB%\esa.jar;%AUTOPD_LV_CP%;%AUTOPD_LIB%\commons-net-1.4.1.jar;%AUTOPD_LIB%\com.ibm.aimpd.jar"

set PATH_TMP=%PATH%

set PATH=%CISA_HOME%\bin;%LV_HOME%;%LV_HOME%\lib;%PATH%

if EXIST "%AUTOPD_HOME%/log" goto LOG_EXISTS
mkdir log
:LOG_EXISTS
if EXIST "%AUTOPD_HOME%/recovery" goto RECOVERY_EXISTS
mkdir recovery
:RECOVERY_EXISTS
if EXIST "%AUTOPD_HOME%/tmp" goto TMP_EXISTS
mkdir tmp
:TMP_EXISTS

:: Create "noDirectory" folder
if EXIST "%~dp0\noDirectory" goto NODIR_EXISTS
MKDIR "%~dp0\noDirectory"
:NODIR_EXISTS

rem call product specific script to set JAVA_HOME
if exist "%AUTOPD_HOME%\setupJava.bat" call "%AUTOPD_HOME%\setupJava.bat"

rem run AutoPD if JAVA_HOME is defined
if "" NEQ "%JAVA_HOME%" goto run

rem if JAVA_HOME is not defined, try running java

:tryjava
echo Try to run with java on PATH

call "%AUTOPD_HOME%\util\runCollectorConsole.bat" %1 %2

rem echo error level is %ERRORLEVEL%
 
if %ERRORLEVEL% NEQ 0 goto error

goto end

:run
echo JAVA_HOME = %JAVA_HOME%
FINDSTR /? >NUL 2>&1
IF ERRORLEVEL 0 goto checkjavaversion

"%JAVA_HOME%\bin\java" -Xms64M -Xmx128M -cp %AUTOPD_CP% -Dconsole=NO_GUI -Dwasprompt=NO_WASPROMPT -Dportalprompt=NO_PORTALPROMPT -Dcollector=ISA_REMOTE_COLLECTOR com.ibm.autopd.console.AutoPDConsole %1 %2
set PATH=%PATH_TMP%
goto end

:checkjavaversion
rem get the java version - pipes to standard err
"%JAVA_HOME%/bin/java" -version 2>java_ver.txt
findstr /r /c:"java version \"1\.[23]" java_ver.txt
If %ERRORLEVEL% EQU 0 goto errorjava
findstr /r /c:"java version \"1\.4\.0" java_ver.txt
If %ERRORLEVEL% EQU 0 goto errorjava
"%JAVA_HOME%\bin\java" -Xms64M -Xmx128M -cp %AUTOPD_CP% -Dconsole=NO_GUI -Dwasprompt=NO_WASPROMPT -Dportalprompt=NO_PORTALPROMPT -Dcollector=ISA_REMOTE_COLLECTOR com.ibm.autopd.console.AutoPDConsole %1 %2
set PATH=%PATH_TMP%
goto end

:errorjava
echo ERROR: This tool requires JRE 1.4.2 or greater to run.
goto end

:error
echo JAVA_HOME = %JAVA_HOME%
echo ERROR: please manually set up JAVA_HOME.   
echo For example, if you have the JRE installed in c:\jre1.4.2, you would set JAVA_HOME using the following command:
echo SET JAVA_HOME=c:\jre1.4.2
echo Do not use quotes in the value of the SET command, even if your value has whitespace characters.

:end
endlocal