#!/bin/sh
# set -o xtrace
#(C) COPYRIGHT International Business Machines Corp., 2004, 2006. All Rights Reserved * Licensed Materials - Property of IBM
# save the path used to run this script
rundir=`dirname $0`

# create empty directory called "noDirectory"
if [ ! -d ${rundir}/noDirectory ];
then
	mkdir ${rundir}/noDirectory
fi

chmod -R 755 `find . -name '*.sh'`

CUR_DIR=`pwd`
#AUTOPD_HOME=`dirname ${0}`
AUTOPD_HOME=`pwd`
cd ${AUTOPD_HOME}
export AUTOPD_HOME

echo "AUTOPD_HOME = ${AUTOPD_HOME}"

if [ ! -d ${AUTOPD_HOME}/log ];
then
	mkdir log
	chmod a+w log
fi	 
if [ ! -d ${AUTOPD_HOME}/tmp ];
then
	mkdir tmp
	chmod a+w tmp
fi
if [ ! -d ${AUTOPD_HOME}/recovery ];
then
	mkdir recovery
	chmod a+w recovery
fi 

# set the default locale when LANG=C
if [ X$LANG = X ] || [ $LANG = C ] 
then
	loc=`locale -a | grep -i en_us | head -1`
	LANG=$loc
	export LANG
fi

#set the modified AutoPD Classpath
AUTOPD_LIB=${AUTOPD_HOME}/lib

CISA_HOME=${AUTOPD_HOME}/cisa
CISA_CP=${CISA_HOME}
for filename in ${CISA_HOME}/lib/*.jar
do
  CISA_CP=$CISA_CP:$filename
done

LV_HOME=${AUTOPD_HOME}/levelreport

RASUtils_LIB=${AUTOPD_HOME}/lib/rasutils

AUTOPD_PROPERTIES=${AUTOPD_HOME}/properties

AUTOPD_XML_CP=${AUTOPD_LIB}/xercesImpl.jar:${AUTOPD_LIB}/xmlParserAPIs.jar:${AUTOPD_LIB}/resolver.jar

AUTOPD_ANT_CP=${AUTOPD_LIB}/ant.jar:${AUTOPD_LIB}/ant-launcher.jar:${AUTOPD_LIB}/jakarta-oro-2.0.7.jar

AUTOPD_LV_CP=${LV_HOME}/lib/invtool.jar:${LV_HOME}/lib/xsdbeans.jar:${LV_HOME}/lib/depcheck.jar:${LV_HOME}/lib/itj157minimal.jar:${LV_HOME}/lib/xalan.jar

AUTOPD_CP=${AUTOPD_HOME}:${AUTOPD_LIB}/autopd.jar:${RASUtils_LIB}/RASUtils.jar:${AUTOPD_PROPERTIES}:${AUTOPD_ANT_CP}:${CISA_CP}:${AUTOPD_LV_CP}:${AUTOPD_ANT_CP}:${AUTOPD_XML_CP}:${AUTOPD_LIB}/collector.jar:${AUTOPD_LIB}/com.ibm.icu.jar:${AUTOPD_LIB}/esa.jar:${AUTOPD_LIB}/commons-net-1.4.1.jar:${AUTOPD_LIB}/com.ibm.aimpd.jar

PATH_TMP=${PATH}

PATH=${CISA_HOME}/bin:${LV_HOME}:${LV_HOME}/lib:${PATH}


#try to call setupJava.sh
if [ -r ${AUTOPD_HOME}/setupJava.sh ];
then
    . ${AUTOPD_HOME}/setupJava.sh
fi

if [ -z "${JAVA_HOME}" ]; 
then
	if . ${AUTOPD_HOME}/util/runCollectorConsole.sh ;
	then
	    echo " "
	else
		echo "ERROR: You must manually set up JAVA_HOME."
		echo If you have the JRE installed in /opt/jre142, you would set JAVA_HOME using the following command:
		echo export JAVA_HOME=/opt/jre142		
	fi
else
	echo "JAVA_HOME = ${JAVA_HOME}"
	#get the java version - pipes to standard err
	${JAVA_HOME}/bin/java -version 2>java_ver.txt
	chmod 777 java_ver.txt
	javaresult=`grep -c 'java version "1\.[23]' java_ver.txt`
	javaresult2=`grep -c 'java version "1\.4\.0' java_ver.txt`
	rm -f java_ver.txt
	if [ $javaresult -gt 0 ] || [ $javaresult2 -gt 0 ]
	then
       echo "ERROR: This tool requires JRE 1.4.2 or greater to run."
	else
    	${JAVA_HOME}/bin/java -Xms64M -Xmx128M -cp ${AUTOPD_CP} -Dconsole=NO_GUI -Dwasprompt=NO_WASPROMPT -Dportalprompt=NO_PORTALPROMPT -Dcollector=ISA_REMOTE_COLLECTOR com.ibm.autopd.console.AutoPDConsole $*
    	PATH=${PATH_TMP}
    fi
fi

cd ${CUR_DIR}